Affected Version:  Affected
All

Description

I am working with the quagga_ospf package for pfsense and noticed that the Web-GUI seems to cut of MD5 password strings for

OSPF interfaces after 15 characters.

If I read the documentation at https://www.nongnu.org/quagga/docs/quagga.html#OSPF-interface for "ip ospf message-digest-key

KEYID md5 KEY" correctly a 16 character password should be valid (we are using a 16 character password with an OpenBSD ospfd

daemon). In fact, when I edit the configuration file in "Raw Config" on the GUI to the correct 16 characters, ospfd on pfsense seems

to work.

Could it be that the GUI password truncation has an "of by one" bug?

History

#1 - 02/22/2019 02:03 AM - Henning Rogge

The same seems to be true for the FRR Ospfd package.

#2 - 02/22/2019 07:20 AM - Jim Pingle

- Project changed from pfSense to pfSense Packages

- Category changed from Web Interface to FRR

- Status changed from New to In Progress

- Assignee set to Jim Pingle

- Affected Architecture All added

- Affected Architecture deleted ()

The code in the quagga was cutting it down to 15 characters, and that code was copied to FRR. Easy fix, will be up shortly.

#3 - 02/22/2019 07:22 AM - Jim Pingle

- Status changed from In Progress to Feedback

Fix pushed. Will be available once the packages rebuild.

#4 - 02/26/2019 12:05 AM - Henning Rogge

Tested for FRR OSPF (version 0.2_7). Thank you for the quick fix.

#5 - 02/26/2019 08:35 AM - Jim Pingle

- Status changed from Feedback to Resolved
